Bug Hunting Session
Bug 114310 - Unify "Compatibility" elements names wrt "(in current document)" part
Summary: Unify "Compatibility" elements names wrt "(in current document)" part
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.1.0 target:6.0.0.1
Keywords:
Depends on:
Blocks: Options-Dialog-Writer
  Show dependency treegraph
 
Reported: 2017-12-07 13:42 UTC by Mike Kaganski
Modified: 2018-01-05 00:22 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2017-12-07 13:42:17 UTC
In Options-Writer-Compatibility, there are a number of entries with and without "(in current document)" in the option text. This is inconsistent; presumably all the entries are related to current document; and might be made default when relevant button is used.

The proposal is to review the need of this text, and either ensure it is present consistently, or removed entirely from all entries.
Comment 1 Heiko Tietze 2017-12-08 09:52:09 UTC
So your suggestion is to cut off the "(in current document)" from the following options?

* Add spacing between paragraphs and tables
* Add paragraph and table spacing at tops of pages
* Use LibreOffice 4.3 anchoring paint order

I guess your suggestion covers also Impress (General > Compatibility)

* Add spacing between paragraphs and tables

The additional text maybe tells the user that this options affects the current document while the other are relevant on new documents only. But this explanation makes not much sense as printer metrics, fir instance, will be effective when printing. 

Code pointers:
[1] https://opengrok.libreoffice.org/xref/core/sw/uiconfig/swriter/ui/optcompatpage.ui
[2] https://opengrok.libreoffice.org/xref/core/sd/uiconfig/simpress/ui/optimpressgeneralpage.ui
Comment 2 Cor Nouws 2017-12-08 11:19:24 UTC
.
Comment 3 Yousuf Philips (jay) (retired) 2017-12-08 11:26:54 UTC
The frame label is 'Compatibility options for %DOCUMENT-NAME%', which i would presume would mean that all the checkboxes relate to the current document, which means that '(in current document)' is redundant, but if some of the options are app-level settings that are added to newly created documents, then they likely need to be moved/added into a separate frame called 'Options for New Documents'.
Comment 4 sophie 2017-12-11 14:22:10 UTC
(In reply to Yousuf Philips (jay) from comment #3)
> The frame label is 'Compatibility options for %DOCUMENT-NAME%', which i
> would presume would mean that all the checkboxes relate to the current
> document, which means that '(in current document)' is redundant, but if some
> of the options are app-level settings that are added to newly created
> documents, then they likely need to be moved/added into a separate frame
> called 'Options for New Documents'.

Which means also the current document, even if you open a new document, you have to open a Writer document to access Writer options. So I would be in favor of removing the 'current document' string instead, it is meant for the current document, whatever it is new or already existent. Sophie
Comment 5 Heiko Tietze 2017-12-11 14:54:37 UTC
Patch submitted
Comment 6 Commit Notification 2017-12-13 07:38:31 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5f9812e65e6c3c147c8143a046f934be4433fca6

tdf#114310 Removed '(in current document)' from compatibility options

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Mike Kaganski 2017-12-13 07:39:37 UTC
Thanks Heiko!
Comment 8 Commit Notification 2017-12-13 10:05:08 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5b51996465c029e55bc328732111fd7c7bedba84&h=libreoffice-6-0

tdf#114310 Removed '(in current document)' from compatibility options

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2018-01-05 00:22:33 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=0b8b8ca30c678eb6cb5447b3086d50cacd3bf93a

tdf#114310 Remove '(in current document)' from compatibility options page